On 11/09/2013 07:58, Peter Hutterer wrote:
Slightly more readable and makes it easier to switch to use $2 for something
in the future (if that's ever needed).
I have a series to remove that script, making it more integrated with
autotools.
---
tests/weston-tests-env | 17 ++++++++++++-----
1 file changed, 12 insertions(+), 5 deletions(-)
diff --git a/tests/weston-tests-env b/tests/weston-tests-env
index 2e5fa95..b732250 100755
--- a/tests/weston-tests-env
+++ b/tests/weston-tests-env
@@ -1,5 +1,12 @@
#!/bin/bash
+TESTNAME=$1
+
+if test -z "$TESTNAME"; then
+ echo "usage: $(basename $0) <test name>"
+ exit 1;
+fi
+
WESTON=$abs_builddir/../src/weston
LOGDIR=$abs_builddir/logs
@@ -18,17 +25,17 @@ else
BACKEND=$abs_builddir/../src/.libs/wayland-backend.so
fi
-case $1 in
+case $TESTNAME in
*.la|*.so)
$WESTON --backend=$BACKEND \
- --socket=test-$(basename $1) \
- --modules=$abs_builddir/.libs/${1/.la/.so},xwayland.so \
+ --socket=test-$(basename $TESTNAME) \
+
--modules=$abs_builddir/.libs/${TESTNAME/.la/.so},xwayland.so \
--log="$SERVERLOG" \
&> "$OUTLOG"
;;
*)
- WESTON_TEST_CLIENT_PATH=$abs_builddir/$1 $WESTON \
- --socket=test-$(basename $1) \
+ WESTON_TEST_CLIENT_PATH=$abs_builddir/$TESTNAME $WESTON \
+ --socket=test-$(basename $TESTNAME) \
--backend=$BACKEND \
--log="$SERVERLOG" \
--modules=$abs_builddir/.libs/weston-test.so,xwayland.so \
--
Quentin “Sardem FF7” Glidic
_______________________________________________
wayland-devel mailing list
[email protected]
http://lists.freedesktop.org/mailman/listinfo/wayland-devel